fldefs_methcall.h File Reference

Go to the source code of this file.

## Macros

#define | FLEXT_CALLMETHOD(M_FUN)
| Call a (already defined) method with no arguments. More...
#define | FLEXT_CALLMETHOD_V(M_FUN, ARGC, ARGV)
| Call a (already defined) method with variable list arguments. More...
#define | FLEXT_CALLMETHOD_A(M_FUN, HDR, ARGC, ARGV)
| Call a (already defined) method with anything arguments. More...
#define | FLEXT_CALLMETHOD_X(M_FUN, DATA)
| Call a (already defined) method with a data package (void *) More...
#define | FLEXT_CALLMETHOD_E(M_FUN, ARG)
| Call a (already defined) method with 1 enum type argument. More...
#define | FLEXT_CALLMETHOD_1(M_FUN, ARG)
| Call a (already defined) method with 1 argument. More...
#define | FLEXT_CALLMETHOD_2(M_FUN, ARG1, ARG2)
| Call a (already defined) method with 2 arguments. More...
#define | FLEXT_CALLMETHOD_3(M_FUN, ARG1, ARG2, ARG3)
| Call a (already defined) method with 3 arguments. More...
#define | FLEXT_CALLMETHOD_4(M_FUN, ARG1, ARG2, ARG3, ARG4)
| Call a (already defined) method with 4 arguments. More...
#define | FLEXT_CALLMETHOD_5(M_FUN, ARG1, ARG2, ARG3, ARG4, ARG5)
| Call a (already defined) method with 5 arguments. More...